#include <avr/io.h>

#define IN				0
#define DA				1
#define CLS				0x01
#define HOME			0x02
#define ENTRY			0x04
#define INCREMENT		0x02
#define DECREMENT		0x00
#define CONTROL			0x08
#define DISPLAY_ON		0x04
#define DISPLAY_OFF		0x00
#define CURSOR_ON		0x02
#define CURSOR_OFF		0x00
#define BLINK			0x01
#define NO_BLINK		0x00
#define SHIFT			0x10
#define SHI_LEFT		0x00
#define SHI_RIGHT		0x04
#define DIS_LEFT		0x08
#define DIS_RIGHT		0x0C
#define FUNKTION_SET	0x20
#define _8BIT			0x10
#define _4BIT			0x00
#define _2LINE			0x08
#define _1LINE			0x00
#define _10DOT			0x04
#define _7DOT			0x00

#define R_W		0x01
#define E		0x04

unsigned char		RS;

//	void itoa(unsigned int value, unsigned char * s);
void wait(unsigned int	dauer);
void clrscr(void);
void home(void);
void fourth_row(void);
void third_row(void);
void second_row(void);
void first_row(void);
void lcd_init(unsigned char line, unsigned char dots);
void lcd_out(char c);
void put_lcd(const unsigned char * s);
void put_lcd_xy(unsigned short int x, unsigned short int y, const unsigned char * s);

